Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations

GetSchedulerExecutionReport

GetSchedulerExecutionReport

GET/zstack/v1/scheduler/report

Operation ID

GetSchedulerExecutionReport

Since

3.9.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • startTime
    longRequired

    The start time when the report ws generated.

  • intervalTimeUnit
    StringRequired

    The unit of the interval.

  • range
    intRequired

    The time range of the report.

  • schedulerJobTypes
    ListRequired

    The type of the scheduled job.

  • systemTags
    List

    Optional. The system tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • successRecords
    ListRequired

    The success records.

  • failureRecords
    ListRequired

    The failure records.

  • partialSuccessRecords
    ListRequired

    The partial success records.

  • waitingRecords
    ListRequired

    The waiting records.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • error
    ErrorCodeRequired

    See error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.